package com.yiboshi.science.service;

import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComTalentBudget;
import com.yiboshi.science.param.dto.ComTalentBudgetDTO;
import com.yiboshi.science.param.query.ComTalentBudgetQueryVO;

import java.util.List;

/**
 *申报人培养经费预算表
 */
public interface ComTalentBudgetService extends BaseService<ComTalentBudgetQueryVO, ComTalentBudgetDTO, ComTalentBudget> {

    void insertList(List<ComTalentBudgetDTO> list, String TalentId);

    List<ComTalentBudgetDTO> getListByTalentId(String talentId);

    List<ComTalentBudgetDTO> getList();

    /** 删除对象列表
     *
     * @param objectId
     */
    void deleteByObjectId(String objectId);
}
